# 68. Mutacija: atnaujinti „VektorinėsAnalizėsŽemėlapio“ statistiką

Atnaujina Zonių žemėlapio statistiką. Gali būti naudojama, kai vartotojo sąsajoje atliekamas zonų sujungimas/skaidymas.

{% hint style="info" %}
Patikrinkite <https://geopard.tech/blog/merge-and-split-zones/> straipsnį.&#x20;
{% endhint %}

Mutacija statistikoms atnaujinti jų neįrašant į duomenų bazę. Atsakyme yra perskaičiuota statistika JSON formatu.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija RefreshVectorAnalysisStatistics {
  refreshVectorAnalysisMapStatistics(
    input: { 
      uuid: "<placeholder_of_vectoranalysismap_uuid>",
      fieldUuid: "<placeholder_of_field_uuid>",
      areaUnit: <area_unit>,
      zonesMapGeojson: "<geojson_with_escaped_doubel_quotes>"
    }
  )
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/68.-mutacija-atnaujinti-vektorinesanalizeszemelapio-statistika.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
